onEvent('recipes', event => {
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'minecraft:acacia_planks', 'kubejs:acacia_plank')
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'minecraft:birch_planks', 'kubejs:birch_plank')
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'minecraft:crimson_planks', 'kubejs:crimson_plank')
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'minecraft:dark_oak_planks', 'kubejs:dark_oak_plank')
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'minecraft:jungle_planks', 'kubejs:jungle_plank')
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'minecraft:oak_planks', 'kubejs:oak_plank')
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'minecraft:spruce_planks', 'kubejs:spruce_plank')
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'minecraft:warped_planks', 'kubejs:warped_plank')
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'upgrade_aquatic:river_planks', 'kubejs:river_plank')
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'upgrade_aquatic:driftwood_planks', 'kubejs:driftwood_plank')
	event.replaceInput({type:'minecraft:crafting_shaped'}, 'goety:haunted_planks', 'kubejs:haunted_plank')
	
	event.remove({id:'minecraft:lectern'})
	event.remove({output:'#charm:bookcases'})
	/*
	event.shaped('charm:acacia_bookcase', [
		'PPP',
		'   ',
		'PPP'
	], {
		P: 'kubejs:acacia_plank'
	})
	event.shaped('charm:birch_bookcase', [
		'PPP',
		'   ',
		'PPP'
	], {
		P: 'kubejs:birch_plank'
	})
	event.shaped('charm:crimson_bookcase', [
		'PPP',
		'   ',
		'PPP'
	], {
		P: 'kubejs:crimson_plank'
	})
	event.shaped('charm:dark_oak_bookcase', [
		'PPP',
		'   ',
		'PPP'
	], {
		P: 'kubejs:dark_oak_plank'
	})
	*/
	event.shaped('charm:oak_bookcase', [
		'PPP',
		'   ',
		'PPP'
	], {
		P: '#kubejs:plank'
	})
	/*
	event.shaped('charm:warped_bookcase', [
		'PPP',
		'   ',
		'PPP'
	], {
		P: 'kubejs:warped_plank'
	})
	event.shaped('charm:jungle_bookcase', [
		'PPP',
		'   ',
		'PPP'
	], {
		P: 'kubejs:jungle_plank'
	})
	event.shaped('charm:spruce_bookcase', [
		'PPP',
		'   ',
		'PPP'
	], {
		P: 'kubejs:spruce_plank'
	})
	event.shaped('minecraft:lectern', [
		'PSP',
		' B ',
		' S '
	], {
		P: '#kubejs:plank',
		S: '#minecraft:wooden_slabs',
		B: '#charm:bookcases'
	})
	*/
	//fix acaica only problem
	event.remove({id:'minecraft:crafting_table'})
	event.remove({output:'#minecraft:beds'})
	event.remove({id:'minecraft:beehive'})
	event.remove({id:'husbandry:feeding_tray'})
	event.remove({id:'minecraft:wooden_shovel'})
	event.remove({id:'toughasnails:water_purifier'})
	event.remove({id:'minecraft:bowl'})
	event.remove({id:'minecraft:wooden_hoe'})
	event.remove({id:'minecraft:piston'})
	event.remove({id:'minecraft:wooden_axe'})
	event.remove({id:'minecraft:tripwire_hook'})
	event.remove({id:'minecraft:cartography_table'})
	event.remove({id:'survivalist:rack'})
	event.remove({id:'minecraft:shield'})
	event.remove({id:'minecraft:wooden_sword'})
	event.remove({id:'quark:tools/crafting/pickarang'})
	event.remove({id:'zetter:easel'})
	event.remove({id:'minecraft:loom'})
	event.remove({id:'quark:tools/crafting/abacus'})
	event.remove({id:'minecraft:jukebox'})
	event.remove({id:'zetter:artist_table'})
	event.remove({id:'supplementaries:speaker_block'})
	event.remove({id:'supplementaries:notice_board'})
	event.remove({id:'minecraft:wooden_pickaxe'})
	event.remove({id:'supplementaries:clock_block'})
	event.remove({id:'improvedbackpacks:sewing_table'})
	event.remove({id:'husbandry:nest'})
	event.remove({id:'farmersdelight:canvas_sign'})
	event.remove({id:'goety:grand_torch'})
	event.remove({id:'parrying:wood_spear'})
	event.remove({id:'minecraft:grindstone'})
	event.remove({id:'parrying:wooden_flail'})
	event.remove({id:'minecraft:barrel'})
	event.remove({id:'minecraft:smithing_table'})
	event.remove({id:'husbandry:incubator'})
	event.remove({id:'supplementaries:pulley'})
	event.remove({id:'locks:wood_lock'})
	event.remove({id:'parrying:wooden_mace'})
	event.remove({id:'cold_sweat:icebox'})
	event.remove({id:'farmersdelight:cutting_board'})
	event.remove({id:'minecraft:note_block'})
	event.remove({id:'minecraft:fletching_table'})
	event.remove({id:'quark:automation/crafting/chute'})
	event.remove({id:'husbandry:trough'})
	event.remove({id:'parrying:wooden_hammer'})
	event.remove({id:'alexsmobs:maraca'})
	event.remove({id:'quark:tools/crafting/pickarang_heart'})
	event.remove({id:'etched:etching_table'})
	event.remove({id:'etched:radio'})
	
	event.shaped('minecraft:crafting_table', [
		'TC',
		'PP'
	], {
		T: '#forge:tools',
		C: 'farmersdelight:canvas',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:crafting_table', [
		'TL',
		'PP'
	], {
		T: '#forge:tools',
		L: 'minecraft:leather',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:white_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:white_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:orange_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:orange_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:magenta_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:magenta_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:light_blue_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:light_blue_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:yellow_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:yellow_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:lime_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:lime_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:pink_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:pink_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:gray_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:gray_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:light_gray_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:light_gray_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:cyan_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:cyan_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:purple_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:purple_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:blue_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:blue_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:brown_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:brown_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:green_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:green_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:red_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:red_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:black_bed', [
		'WWW',
		'PPP'
	], {
		W: 'quark:black_quilted_wool',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:beehive', [
		'PPP',
		'HHH',
		'PPP'
	], {
		H: 'minecraft:honeycomb',
		P: '#kubejs:plank'
	})
	event.shaped('husbandry:feeding_tray', [
		'PSP'
	], {
		S: '#minecraft:wooden_slabs',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:wooden_shovel', [
		'P',
		'S',
		'S'
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank'
	})
	event.shaped('toughasnails:water_purifier', [
		'PFP',
		'G G',
		'PGP'
	], {
		F: '#kubejs:bindings',
		P: '#kubejs:plank',
		G: '#forge:glass_panes'
	})
	event.shaped('3x minecraft:bowl', [
		'P P',
		' P '
	], {
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:wooden_hoe', [
		'PP',
		' S',
		' S'
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:piston', [
		'PPP',
		'QSQ',
		'QRQ'
	], {
		Q: '#minecraft:stone_tool_materials',
		P: '#kubejs:plank',
		S: 'locks:spring',
		R: 'minecraft:redstone'
	})
	event.shaped('minecraft:tripwire_hook', [
		'I',
		'S',
		'P'
	], {
		I: 'minecraft:iron_ingot',
		P: '#kubejs:plank',
		S: 'minecraft:stick'
	})
	event.shaped('minecraft:cartography_table', [
		'AA',
		'PP',
		'PP'
	], {
		A: 'minecraft:paper',
		P: '#kubejs:plank'
	})
	event.shaped('survivalist:rack', [
		'SSS',
		' P ',
		'P P'
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:shield', [
		'IPI',
		'IPI',
		' I '
	], {
		I: 'minecraft:iron_nugget',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:wooden_sword', [
		'P',
		'P',
		'S'
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank'
	})
	event.shaped('quark:pickarang', [
		'DPH',
		'  P',
		'  D'
	], {
		H: 'quark:diamond_heart',
		P: '#kubejs:plank',
		D: 'kubejs:diamond_ingot'
	})
	event.shaped('zetter:easel', [
		'PP',
		'PP',
		'SS'
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:loom', [
		'SS',
		'PP'
	], {
		S: 'minecraft:string',
		P: '#kubejs:plank'
	})
	event.shaped('quark:abacus', [
		'PSP',
		'PIP',
		'PSP'
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank',
		I: 'minecraft:iron_ingot'
	})
	event.shaped('minecraft:jukebox', [
		'PPP',
		'PDP',
		'PPP'
	], {
		D: 'minecraft:diamond',
		P: '#kubejs:plank'
	})
	/*
	event.shaped('charm:woodcutter', [
		' I ',
		'PPP'
	], {
		I: 'create:iron_sheet',
		P: '#kubejs:plank'
	})
	*/
	event.shaped('zetter:artist_table', [
		'SSS',
		'PAP',
		'PEP'
	], {
		S: '#minecraft:wooden_slabs',
		P: '#kubejs:plank',
		A: 'zetter:paints',
		E: 'minecraft:paper'
	})
	event.shaped('supplementaries:speaker_block', [
		'PPP',
		'PEP',
		'PPP'
	], {
		E: 'minecraft:emerald',
		P: '#kubejs:plank'
	})
	event.shaped('supplementaries:notice_board', [
		'PPP',
		'PAP',
		'PPP'
	], {
		A: 'minecraft:paper',
		P: '#kubejs:plank'
	})
	event.shaped('supplementaries:clock_block', [
		'PPP',
		'PBP',
		'PPP'
	], {
		B: 'minecraft:clock',
		P: '#kubejs:plank'
	})
	event.shaped('improvedbackpacks:sewing_table', [
		'SL',
		'PP',
		'PP'
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank',
		L: 'minecraft:leather'
	})
	event.shaped('husbandry:nest', [
		'PBP',
		'PPP'
	], {
		B: 'farmersdelight:straw_bale',
		P: '#kubejs:plank'
	})
	event.shaped('3x farmersdelight:canvas_sign', [
		'PCP',
		'PCP',
		' S '
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank',
		C: 'farmersdelight:canvas'
	})
	event.shaped('goety:grand_torch', [
		'B',
		'I',
		'P'
	], {
		B: 'minecraft:blaze_powder',
		P: '#kubejs:plank',
		I: 'minecraft:iron_ingot'
	})
	event.shaped('parrying:wood_spear', [
		'  P',
		' S ',
		'S  '
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:grindstone', [
		'STS',
		'P P'
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank',
		T: 'minecraft:stone_slab'
	})
	event.shaped('minecraft:barrel', [
		'PSP',
		'P P',
		'PSP'
	], {
		S: '#minecraft:wooden_slabs',
		P: '#kubejs:plank'
	})
	event.shaped('minecraft:smithing_table', [
		'II',
		'PP',
		'PP'
	], {
		I: 'steampowered:steel_ingot',
		P: '#kubejs:plank'
	})
	event.shaped('husbandry:incubator', [
		'IBI',
		'PRP'
	], {
		B: 'farmersdelight:straw_bale',
		P: '#kubejs:plank',
		I: 'minecraft:iron_ingot',
		R: 'minecraft:redstone'
	})
	event.shaped('supplementaries:pulley_block', [
		'PSP',
		'PIP',
		'PSP'
	], {
		I: 'minecraft:iron_ingot',
		P: '#kubejs:plank',
		S: '#minecraft:wooden_slabs'
	})
	event.shaped('locks:wood_lock', [
		' P ',
		'PMP',
		'PPP'
	], {
		M: 'locks:wood_lock_mechanism',
		P: '#kubejs:plank'
	})
	event.shaped('parrying:wooden_mace', [
		' P ',
		'PSP',
		' S '
	], {
		S: 'minecraft:stick',
		P: '#kubejs:plank'
	})
	event.shaped('cold_sweat:icebox', [
		'RPR',
		'PBP',
		'PPP'
	], {
		R: '#minecraft:stone_tool_materials',
		P: '#kubejs:plank',
		B: 'minecraft:barrel'
	})
	event.shaped('farmersdelight:cutting_board', [
		'SPP',
		'SPP'
	], {
		P: '#kubejs:plank',
		S: 'minecraft:stick'
	})
	event.shaped('minecraft:note_block', [
		'PPP',
		'PRP',
		'PPP'
	], {
		P: '#kubejs:plank',
		R: 'minecraft:redstone'
	})
	event.shaped('minecraft:fletching_table', [
		'NF',
		'PP',
		'PP'
	], {
		F: 'minecraft:feather',
		P: '#kubejs:plank',
		N: '#farmersdelight:tools/knives'
	})
	event.shaped('quark:chute', [
		'PPP',
		'S S',
		' S '
	], {
		P: '#kubejs:plank',
		S: 'minecraft:stick'
	})
	event.shaped('husbandry:trough', [
		'P P',
		'PPP',
		'S S'
	], {
		P: '#kubejs:plank',
		S: 'minecraft:stick'
	})
	event.shaped('cold_sweat:sewing_table', [
		'WW',
		'PP',
		'PP'
	], {
		P: '#kubejs:plank',
		W: '#quark:quilted_wools'
	})
	event.shaped('alexsmobs:maraca', [
		' P ',
		'PRP',
		' S '
	], {
		P: '#kubejs:plank',
		R: 'alexsmobs:rattlesnake_rattle',
		S: 'minecraft:stick'
	})
	event.shaped('etched:etching_table', [
		' DI',
		'PPP'
	], {
		P: '#kubejs:plank',
		D: 'minecraft:diamond',
		I: 'minecraft:iron_ingot'
	})
	event.shaped('etched:radio', [
		'RIR',
		'IBI',
		'PPP'
	], {
		P: '#kubejs:plank',
		R: 'minecraft:redstone',
		I: 'minecraft:iron_nugget',
		B: 'create:brass_ingot'
	})
})